﻿using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Escali.LicenseControl.Client.ClientModels
{
    public class AgreementClientModel
    {
        public int? AgreementSeq { get; set; }

        [Required(ErrorMessage = "Obligatorisk felt")]
        [MaxLength(50)]
        public string AgreementName { get; set; }

        [Required(ErrorMessage = "Obligatorisk felt")]
        public DateTime AgreementCreated { get; set; }
        
        [Required(ErrorMessage = "Obligatorisk felt")]
        public DateTime AgreementUpdated { get; set; }
        
        public bool? IsActive { get; set; }

        [Required]
        public int CurrencySeq { get; set; }
        public CurrencyClientModel? Currency { get; set; }

        [Required]
        public int ProductSeq { get; set; }
        public ProductClientModel? Product { get; set; }
        
        [Required]
        public int CustomerSeq { get; set; }
        public CustomerClientModel? Customer { get; set; }

        public List<AgreementElementClientModel>? AgreementElements { get; set; }
        
    }
}
