using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Runtime.InteropServices;
using System.Runtime.Serialization;

namespace Escali.LicenseControl.Client.ClientModels
{

public class AgreementElementClientModel
{
    
    public int? AgreementElementSeq { get; set; }
    
    [Required(ErrorMessage = "Obligatorisk felt")]
    [Column(TypeName = "decimal(19,2)")]
    public decimal? Price { get; set; }
    
    [Column(TypeName = "decimal(19,2)")]
    public decimal? Discount { get; set; }
    
    [Required(ErrorMessage = "Obligatorisk felt")]
    public DateTime DateFrom { get; set; }
    
    [Required(ErrorMessage = "Obligatorisk felt")]
    public DateTime DateTo { get; set; }
    
    [Required(ErrorMessage = "Obligatorisk felt")]
    public DateTime AgreementElementCreated { get; set; }
    
    [Required(ErrorMessage = "Obligatorisk felt")]
    public DateTime AgreementElementUpdated { get; set; }

    public bool? KeepPriceOnNextPricelist { get; set; }
    
    public bool? IsActive { get; set; }
    
    public bool? IsQuotation { get; set; }
    
    [Required]
    public int ModuleLevelSeq { get; set; }
    public ModuleLevelClientModel? ModuleLevel { get; set; }
    
    [Required]
    public int AgreementSeq { get; set; }
    public AgreementClientModel? Agreement { get; set; }

    }
}