using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using System.Runtime.InteropServices;
using System.Runtime.Serialization;
using Microsoft.AspNetCore.Components;

namespace Escali.LicenseControl.Client.ClientModels.InputClientModels
{

public class AgreementElementClientModelInput
{
    public int? AgreementElementSeq { get; set; }

    [Required]
    [Column(TypeName = "decimal(19,2)")]
    public decimal? Price { get; set; }

    [Column(TypeName = "decimal(19,2)")]
    public decimal? Discount { get; set; }
    
    [Required]
    public DateTime DateFrom { get; set; } = DateTime.Now;
    
    [Required]
    public DateTime DateTo { get; set; } = DateTime.Now;
    
    public DateTime AgreementElementCreated { get; set; }
    
    public DateTime AgreementElementUpdated { get; set; }

    public bool? KeepPriceOnNextPricelist { get; set; }
    
    public bool? IsActive { get; set; }
    
    public bool? IsQuotation { get; set; }

    [Required]
    public int? SelectedProduct
    {
        get => _selectedProduct;
        set
        {
            _selectedProduct = value;
            OnProductChange();
        }
    }

    [Required]
    public int? SelectedModule { get; set; }
    
    [Required]
    public int ModuleLevelSeq { get; set; }
    public ModuleLevelClientModel? ModuleLevel { get; set; }
    
    public int? AgreementSeq { get; set; }
    public AgreementClientModel? Agreement { get; set; }

    [Required]
    public string CurrencyNameInput { get; set; } = null!;

    [Required]
    public string AgreementNameInput { get; set; } = null!;

    public event Action? ProductChange;
    private void OnProductChange() => ProductChange?.Invoke();
    private int? _selectedProduct;

    }
}
