using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Escali.LicenseControl.Client.ClientModels
{

public class PriceListClientModelInput
{
    
    public int? PriceListSeq { get; set; }
    
    [Required(ErrorMessage = "Obligatorisk felt")]
    [MaxLength(30)]
    public string PriceListName { get; set; }
    
    [Required(ErrorMessage = "Obligatorisk felt")]
    public DateTime DateFrom { get; set; }
    
    [Required(ErrorMessage = "Obligatorisk felt")]
    public DateTime DateTo { get; set; }

    public bool? IsActive { get; set; }
    
    public int? CurrencySeq { get; set; }
    [ValidateComplexType]
    public CurrencyClientModel Currency { get; set; }
    
    public int ProductSeq { get; set; }
    public ProductClientModel? Product { get; set; }
    
    public List<PriceElementClientModel>? PriceElements { get; set; }

    [Required(ErrorMessage = "Prisliste for utgangspunkt er obligatorisk")]
    public int? PriceListToCopy { get; set; }
    
    [Required, DefaultValue(null), Range(1.00, 10.00)]
    public decimal? PriceAdjustmentFactor { get; set; }

    }
}