using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Escali.LicenseControl.Client.ClientModels
{

public class ModuleClientModel
{
    public int? ModuleSeq { get; set; }

    [Required(ErrorMessage = "Modul navn er noedvendig!")]
    [MaxLength(50, ErrorMessage = "Kan ikke vaere lenger enn 50 tegn.")]
    public string ModuleName { get; set; } = string.Empty;

    public bool IsActive { get; set; } = true;

    [Required]
    public int ProductSeq { get; set; }
    public ProductClientModel? Product { get; set; }
    
    [ValidateComplexType]
    public List<ModuleLevelClientModel>? ModuleLevels { get; set; } = new();

    }
}
