using Escali.LicenseControl.Client.Utils;

namespace Escali.LicenseControl.Client.State;

public class AlertService
{
    
    public InfoMessage? InfoMessage { get; private set; }
    
    public event Action? InfoMessageChanged;
    
    public async void UpdateInfoMessage(InfoMessage msg)
    {
        InfoMessage = msg;
        Logger.Log("INFO MESSAGE: " + InfoMessage.Message);
        OnInfomessageChanged();

        await Task.Delay(5000);

        if (InfoMessage != null && InfoMessage.Id == msg.Id)
        {
            InfoMessage = null;
            OnInfomessageChanged();
        }
    }
    
    private void OnInfomessageChanged() => InfoMessageChanged?.Invoke();
    
}