namespace Escali.LicenseControl.Client.State;

public class StateProperty<T>
{
    public T? Value
    {
        get => _value;
        set
        {
            _value = value;
            OnValueChanged();
        }
    }
    private T? _value;
    public event Action? ValueChanged;
    private void OnValueChanged() => ValueChanged?.Invoke();

    public StateProperty() {}
    public StateProperty(T value)
    {
        Value = value;
    }
}