using AutoMapper;
using Escali.LicenseControl.Client.ClientModels;
using Escali.LicenseControl.Client.ClientModels.InputClientModels;
using Escali.LicenseControl.DataAccess.Models;

namespace Escali.LicenseControl.Client.Utils;

public class AutoMapping : Profile
{

    public AutoMapping()
    {
        AllowNullCollections = true;

        CreateMap<Agreement, AgreementClientModel>();
        CreateMap<AgreementClientModel, Agreement>();

        CreateMap<AgreementElement, AgreementElementClientModel>();
        CreateMap<AgreementElementClientModel, AgreementElement>();
        CreateMap<AgreementElementClientModelInput, AgreementElementClientModel>();

        CreateMap<Currency, CurrencyClientModel>();
        CreateMap<CurrencyClientModel, Currency>();

        CreateMap<Customer, CustomerClientModel>();
        CreateMap<CustomerClientModel, Customer>();
        CreateMap<CustomerClientModel, CustomerClientModel>()
            .AfterMap((s, d) => { d.Region ??= new RegionClientModel(); });

        CreateMap<Product, ProductClientModel>();
        CreateMap<ProductClientModel, Product>();

        CreateMap<Priority, PriorityClientModel>();
        CreateMap<PriorityClientModel, Priority>();

        CreateMap<Region, RegionClientModel>();
        CreateMap<RegionClientModel, Region>();

        CreateMap<Module, ModuleClientModel>();
        CreateMap<ModuleClientModel, Module>();
        CreateMap<ModuleClientModel, ModuleClientModel>();
        CreateMap<ModuleLevelClientModel, ModuleLevelClientModel>();

        CreateMap<ModuleLevel, ModuleLevelClientModel>();
        CreateMap<ModuleLevelClientModel, ModuleLevel>();

        CreateMap<PriceList, PriceListClientModel>();
        CreateMap<PriceListClientModel, PriceList>();
        CreateMap<PriceListClientModel, PriceListClientModel>();
        CreateMap<PriceListClientModelInput, PriceListClientModel>();
        
        CreateMap<PriceElement, PriceElementClientModel>();
        CreateMap<PriceElementClientModel, PriceElement>();

        CreateMap<Segment, SegmentClientModel>();
        CreateMap<SegmentClientModel, Segment>();

        CreateMap<MainSegment, MainSegmentClientModel>();
        CreateMap<MainSegmentClientModel, MainSegment>();

        CreateMap<User, UserClientModel>();
        CreateMap<UserClientModel, User>();

    }
    
}