namespace Escali.LicenseControl.Client.Utils;

public class InfoMessage
{

    public int Id;
    public string Message { get; }
    public InfoMessageType MessageType { get; }
    
    private static int _prevId = 0;

    public InfoMessage(string? message, InfoMessageType messageType)
    {
        Id = ++_prevId;

        Message = message ?? "An error occured";
        MessageType = messageType;
    }
    
    public InfoMessage(string? message)
    {
        Id = ++_prevId;
        Message = message ?? "An error occured";
        MessageType = InfoMessageType.STANDARD;
    }

    public string GetAlertStyle()
    {
        return MessageType switch
        {
            InfoMessageType.STANDARD => "alert-primary",
            InfoMessageType.SUCCESS => "alert-success",
            InfoMessageType.WARNING => "alert-warning",
            InfoMessageType.ERROR => "alert-danger",
            _ => "alert-primary"
        };
    }
    
}