using AutoMapper;
using Escali.LicenseControl.Client.State;
using Escali.LicenseControl.Client.ClientModels;
using Escali.LicenseControl.DataAccess.Data;
using Escali.LicenseControl.DataAccess.Models;
using Escali.LicenseControl.DataAccess.Services;
using Microsoft.EntityFrameworkCore;

namespace Escali.LicenseControl.Client.ViewModels
{
    public class CurrencyViewModel : IViewModel
    {
        private readonly CurrencyService _currencyService;

        public List<CurrencyClientModel>? Currencies;

        public CurrencyViewModel(DataContext context, IMapper mapper)
        {
            _currencyService = new CurrencyService(context);
            _mapper = mapper;
        }

        public async Task GetCurrencies()
        {
            var currencies = await _currencyService.GetAllCurrencies();
            UpdateCurrencies(_mapper.Map<List<CurrencyClientModel>>(currencies));
        }

        private void UpdateCurrencies(List<CurrencyClientModel> currencies)
        {
            Currencies = currencies;
            OnDataChanged();
        }

    }
}