﻿using AutoMapper;
using Castle.Core.Internal;
using Escali.LicenseControl.Client.State;
using Escali.LicenseControl.Client.ClientModels;
using Escali.LicenseControl.DataAccess.Data;
using Escali.LicenseControl.DataAccess.Models;
using Escali.LicenseControl.DataAccess.Services;

namespace Escali.LicenseControl.Client.ViewModels
{
    public class MainSegmentViewModel : IViewModel
    {
        private readonly MainSegmentServices _mainSegmentService;
        public List<MainSegmentClientModel>? MainSegments { get; private set; }

        public MainSegmentViewModel(DataContext context, IMapper mapper)
        {
            _mainSegmentService = new MainSegmentServices(context);
            _mapper = mapper;
        }
        public async Task GetMainSegments()
        {
            var products = await _mainSegmentService.GetAllMainSegments();
            UpdateMainSegments(_mapper.Map<List<MainSegmentClientModel>>(products));
        }

        public async Task<MainSegmentClientModel> CreateMainSegment(MainSegmentClientModel mainSegmentView)
        {
            var mapped = _mapper.Map<MainSegment>(mainSegmentView);
            var res = await _mainSegmentService.AddMainSegment(mapped);
            return _mapper.Map<MainSegmentClientModel>(res);
        }

        private void UpdateMainSegments(List<MainSegmentClientModel> mainSegments)
        {
            MainSegments = mainSegments;
            OnDataChanged();
        }

    }
}