using AutoMapper;
using Escali.LicenseControl.Client.ClientModels;
using Escali.LicenseControl.DataAccess.Data;
using Escali.LicenseControl.DataAccess.Services;

namespace Escali.LicenseControl.Client.ViewModels
{
    public class PriceElementViewModel : IViewModel
    {
        private readonly PriceElementService _priceElementService;

        public List<PriceElementClientModel>? PriceElements { get; private set; }

        public PriceElementViewModel(DataContext context, IMapper mapper)
        {
            _priceElementService = new PriceElementService(context);
            _mapper = mapper;
        }

        public async Task GetPriceElements()
        {
            var priceElements = await _priceElementService.GetAllPriceElements();
            UpdatePriceElements(_mapper.Map<List<PriceElementClientModel>>(priceElements));
        }

        private void UpdatePriceElements(List<PriceElementClientModel> priceElements)
        {
            PriceElements = priceElements;
            OnDataChanged();
        }

    }
}