﻿using AutoMapper;
using Escali.LicenseControl.Client.ClientModels;
using Escali.LicenseControl.DataAccess.Data;
using Escali.LicenseControl.DataAccess.Services;

namespace Escali.LicenseControl.Client.ViewModels
{
    public class PriorityViewModel : IViewModel
    {
        private readonly PriorityService _priorityService;

        public List<PriorityClientModel>? Priorities { get; private set; }

        public PriorityViewModel(DataContext context, IMapper mapper)
        {
            _priorityService = new PriorityService(context);
            _mapper = mapper;
        }

        public async Task GetPriorities()
        {
            var priorities = await _priorityService.GetAllPriorities();
            UpdatePriorities(_mapper.Map<List<PriorityClientModel>>(priorities));
        }

        private void UpdatePriorities(List<PriorityClientModel> priorities)
        {
            Priorities = priorities;
            OnDataChanged();
        }

    }
}