﻿using AutoMapper;
using Escali.LicenseControl.Client.ClientModels;
using Escali.LicenseControl.DataAccess.Data;
using Escali.LicenseControl.DataAccess.Services;

namespace Escali.LicenseControl.Client.ViewModels
{
    public class ProductViewModel : IViewModel
    {
        private readonly ProductService _productService;

        public List<ProductClientModel>? Products { get; private set; }

        public ProductViewModel(DataContext context, IMapper mapper)
        {
            _productService = new ProductService(context);
            _mapper = mapper;
        }

        public async Task GetProducts()
        {
            var products = await _productService.GetAllProducts();
            UpdateProducts(_mapper.Map<List<ProductClientModel>>(products));
        }

        public ProductClientModel? GetProductByIdLocal(int seq)
        {
            return Products?.Single(p => p.ProductSeq == seq);
        }

        private void UpdateProducts(List<ProductClientModel> products)
        {
            Products = products;
            OnDataChanged();
        }

    }
}