﻿using AutoMapper;
using Escali.LicenseControl.Client.ClientModels;
using Escali.LicenseControl.DataAccess.Data;
using Escali.LicenseControl.DataAccess.Services;

namespace Escali.LicenseControl.Client.ViewModels
{
    public class RegionViewModel : IViewModel
    {
        private readonly RegionService _regionService;
        public List<RegionClientModel>? Regions { get; private set; }

        public RegionViewModel(DataContext context, IMapper mapper)
        {
            _regionService = new RegionService(context);
            _mapper = mapper;
        }

        public async Task GetRegions()
        {
            var regions = await _regionService.GetAllRegions();
            UpdateRegions(_mapper.Map<List<RegionClientModel>>(regions));
        }

        private void UpdateRegions(List<RegionClientModel> regions)
        {
            Regions = regions;
            OnDataChanged();
        }

    }
}