﻿using AutoMapper;
using Escali.LicenseControl.DataAccess.Data;
using Escali.LicenseControl.DataAccess.Services;
using Escali.LicenseControl.Client.ClientModels;

namespace Escali.LicenseControl.Client.ViewModels
{
    public class SegmentViewModel : IViewModel
    {
        private readonly SegmentService _segmentService;

        public List<SegmentClientModel>? Segments { get; private set; }

        public SegmentViewModel(DataContext context, IMapper mapper)
        {
            _segmentService = new SegmentService(context);
            _mapper = mapper;
        }

        public async Task GetSegments()
        {
            var products = await _segmentService.GetAllSegments();
            UpdateSegments(_mapper.Map<List<SegmentClientModel>>(products));
        }

        private void UpdateSegments(List<SegmentClientModel> segments)
        {
            Segments = segments;
            OnDataChanged();
        }

    }
}