﻿using AutoMapper;
using Escali.LicenseControl.Client.State;
using Escali.LicenseControl.Client.ClientModels;
using Escali.LicenseControl.DataAccess.Data;
using Escali.LicenseControl.DataAccess.Services;

namespace Escali.LicenseControl.Client.ViewModels
{

public class UserViewModel : IViewModel
{
    private readonly UserService _userService;

    public List<UserClientModel>? Users { get; private set; }

    public UserViewModel(DataContext context, IMapper mapper)
    {
        _userService = new UserService(context);
        _mapper = mapper;
    }

    public async Task GetUsers()
    {
        var users = await _userService.GetAllUsers();
        UpdateUsers(_mapper.Map<List<UserClientModel>>(users));
    }

    private void UpdateUsers(List<UserClientModel> users)
    {
        Users = users;
        OnDataChanged();
    }
    }
}

