using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Design;
using Microsoft.Extensions.Configuration;

namespace Escali.LicenseControl.DataAccess.Data
{


public class ContextFactory : IDesignTimeDbContextFactory<DataContext>
{

    public DataContext CreateDbContext(string[] args)
    {
        var optionsBuilder = new DbContextOptionsBuilder<DataContext>();
        
        IConfigurationRoot configuration = new ConfigurationBuilder().SetBasePath(Directory.GetCurrentDirectory())
            .AddJsonFile("appsettings.json")
            .Build();
        optionsBuilder.UseSqlServer(configuration["ConnectionStrings:Default"]);
        
        return new DataContext(optionsBuilder.Options);
    }
    }
}