﻿using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Escali.LicenseControl.DataAccess.Models
{
    public class Agreement
    {
        [Key]
        public int AgreementSeq { get; set; }

        [Required]
        [MaxLength(50)]
        public string AgreementName { get; set; }

        [Required]
        public DateTime? AgreementCreated { get; set; }
        
        [Required]
        public DateTime? AgreementUpdated { get; set; }
        
        public bool? IsActive { get; set; }

        [Required]
        [ForeignKey("Currency")]
        public int CurrencySeq { get; set; }

        [Required]
        [ForeignKey("Product")]
        public int ProductSeq { get; set; }
        
        [Required]
        [ForeignKey("Customer")]
        public int CustomerSeq { get; set; }

        public virtual List<AgreementElement> AgreementElements { get; set; }
        
        public virtual Currency Currency { get; set; }
        
        public virtual Product Product { get; set; }
        
        public virtual Customer Customer { get; set; }
    }
}
