using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Escali.LicenseControl.DataAccess.Models
{


    public class AgreementElement
    {

        [Key]
        public int AgreementElementSeq { get; set; }

        [Required]
        [Column(TypeName = "decimal(19,2)")]
        public decimal? Price { get; set; }

        [Required]
        [Column(TypeName = "decimal(19,2)")]
        public decimal? Discount { get; set; }

        [Required]
        public DateTime? DateFrom { get; set; }

        [Required]
        public DateTime? DateTo { get; set; }

        [Required]
        public DateTime? AgreementElementCreated { get; set; }

        [Required]
        public DateTime? AgreementElementUpdated { get; set; }

        public bool? KeepPriceOnNextPricelist { get; set; }

        public bool? IsActive { get; set; }

        public bool? IsQuotation { get; set; }

        [Required]
        [ForeignKey("ModuleLevel")]
        public int ModuleLevelSeq { get; set; }

        public virtual ModuleLevel ModuleLevel { get; set; }

        [Required]
        [ForeignKey("Agreement")]
        public int AgreementSeq { get; set; }

        public virtual Agreement Agreement { get; set; }

    }
}