using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Escali.LicenseControl.DataAccess.Models
{    

public class ModuleLevel
{
    
    [Key]
    public int ModuleLevelSeq { get; set; }

    [Required]
    [MaxLength(50)]
    public string ModuleLevelName { get; set; }

    //[Required]
    //public int? TransactionLimit { get; set; }

    //[Required]
    //[Column(TypeName = "decimal(19,2)")]
    //public decimal? InvestmentLimit { get; set; }

    [Required]
    [MaxLength(100)]
    public string ModuleLevelRestriction { get; set; }
    
    public bool? IsActive { get; set; }

    [Required]
    [ForeignKey("Module")]
    public int ModuleSeq { get; set; }
    
    public virtual Module Module { get; set; }
    
    public virtual List<PriceElement> PriceElements { get; set; }
    
    public virtual List<AgreementElement> AgreementElements { get; set; }

}
}