using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Escali.LicenseControl.DataAccess.Models
{


public class PriceElement
{
    
    [Key]
    public int PriceElementSeq { get; set; }
    
    [Required]
    [Column(TypeName = "decimal(19,2)")]
    public decimal? Price { get; set; }

    public bool? IsActive { get; set; }

    [ForeignKey("ModuleLevel")]
    public int ModuleLevelSeq { get; set; }
    
    public virtual ModuleLevel ModuleLevel { get; set; }
    
    [ForeignKey("PriceList")]
    public int PriceListSeq { get; set; }
    
    public virtual PriceList PriceList { get; set; }

    }
}