using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace Escali.LicenseControl.DataAccess.Models
{


public class PriceList
{
    
    [Key]
    public int PriceListSeq { get; set; }
    
    [Required]
    [MaxLength(30)]
    public string PriceListName { get; set; }
    
    [Required]
    public DateTime? DateFrom { get; set; }
    
    [Required]
    public DateTime? DateTo { get; set; }

    public bool? IsActive { get; set; }
    
    [ForeignKey("Currency")]
    public int CurrencySeq { get; set; }
    
    public virtual Currency Currency { get; set; }
    
    [ForeignKey("Product")]
    public int ProductSeq { get; set; }
    
    public virtual Product Product { get; set; }
    
    public virtual List<PriceElement> PriceElements { get; set; }



    }
}